myapps:
  storage:
    root: /data/workspace/v5-runing/security-in-mysql/storage
  siteid:
  login:
    homeTemplateBoradType: freeTemplate
  ignored:
    count:
      query:
        timeout: false
      cacahed:
        timeoutInSeconds: 20 #秒
  refresh:
    cache:
      monitor:
        types: Created,Changed
      profile: dev-securityin-mysql
    #freeTemplate免费  payTemplate付费  rtpayTemplate融通付费  xxpayTemplate某某公司付费
  environment: security
  region:
    sourceSite: http://v5inmy.test.baibaodun.cn
    mappings:
      public:
        id: public
        domainId:
server:
  port: 0
  tomcat:
    uri-encoding: UTF-8
  servlet:
    context-path: ${myapps.siteid}/obpm
    session:
      timeout: 3600
    jsp:
      init-parameters:
        development: true
  http:
    encoding:
      force: true
      charset: UTF-8
      enabled: true
    multipart:
      location: ${myapps.storage.root}/uploads/tmps

spring.activemq.packages.trust-all: true

spring:
  mvc:
    view:
      prefix: /
      suffix: .jsp
    static-path: /**
    pathmatch:
      matching-strategy: ANT_PATH_MATCHER
  http:
    encoding:
      force: true
      charset: UTF-8
      enabled: true
  application:
    name: obpm-runtime
  cloud:
    consul:
      discovery:
        #        instance-id: ${spring.application.name}:${vcap.application.instance_id:${spring.application.instance_id:${random.value}}}
        instance-id: ${spring.application.name}:${spring.cloud.client.ip-address}:${random.uuid}
        prefer-ip-address: true
        health-check-interval: 10s
        health-check-path: ${myapps.siteid}/obpm/actuator/health
        hostname: ${spring.application.name}
        service-name: ${spring.application.name}
        enabled: true
      #        tags: management.context-path=/actuator
      host: 127.0.0.1
      port: 8500

  # 数据库访问配置
  datasource:
    driver-class-name: com.mysql.jdbc.Driver
    url: jdbc:mysql://114.115.143.15:3300/obpm2_security?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false
    username: TL5_enterprise
    password: TL5_enterprise#202109
    # 下面为连接池的补充设置，应用到上面所有数据源中
    initialSize: 5
    minIdle: 5
    maxActive: 20
    # 配置获取连接等待超时的时间
    maxWait: 60000
    # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
    timeBetweenEvictionRunsMillis: 60000
    # 配置一个连接在池中最小生存的时间，单位是毫秒
    minEvictableIdleTimeMillis: 300000
    validationQuery: SELECT 1
    testWhileIdle: false
    testOnBorrow: false
    testOnReturn: false
    # 配置监控统计拦截的filters，去掉后监控界面sql无法统计，'wall'用于防火墙
    filters: stat,wall,log4j
    logSlowSql: true

  jpa:
    database: mysql
    show-sql: false
    hibernate:
      ddl-auto: none
    #设置默认schema，可以为空
    properties:
      hibernate:
        default_schema:
        dialect: org.hibernate.dialect.PostgreSQL9Dialect
        temp:
          use_jdbc_metadata_defaults: false
  #Redis服务器地址
  redis:
    host: 117.78.33.241
    port: 6379
    password: bcxin@2019
    lettuce: # redis连接池配置
      pool:
        max-active: -1 #连接池最大连接数(使用负值表示没有限制) 默认为30
        max-wait: -1ms # 连接池最大阻塞等待时间(使用负值表示没有限制) 默认为-1
        max-idle: 8 # 连接池中的最大空闲连接 默认为8
        min-idle: 0 # 连接池中的最小空闲连接 默认为 0
  cache:
    redis:
      timeToLive: 360s
  resources:
    static-locations: classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public/,/

file:
  mode:
    useFtp: true
    host: 49.4.84.49
    userName: snbaichuanxin
    password: Bcx#sn2020
    port: 21
    filePath: /data/ftptest/snupload

feign:
  client:
    config:
      default:
        connect-timeout: 60000
        read-timeout: 60000 #设置远程调用超时时间
ribbon:
  ReadTimeout: 20000
  ConnectTimeout: 20000

logging:
  config: classpath:log4j2.xml

management:
  endpoints:
    web:
      exposure:
        include: '*'
  endpoint:
    health:
      show-details: ALWAYS
  health:
    db:
      enabled: false
patch:
  baidu:
    faceMatchedApi: http://identify.test.bcxin.com.cn
  sms:
    api: http://msg.bcxin.com.cn:9165
